%define major        4.6
%define libname      %mklibname %{name} %{major}
%define develname    %mklibname %{name} -d

Name:           wvstreams
Version:        4.6.1
Release:        %mkrel 18
License:        LGPLv2+
Group:          System/Libraries
Summary:        Network programming library written in C++
URL:            http://code.google.com/p/wvstreams
Source0:        http://wvstreams.googlecode.com/files/%{name}-%{version}.tar.gz
Patch1:         wvstreams-4.2.2-multilib.patch
Patch2:         wvstreams-4.5-noxplctarget.patch
Patch3:         wvstreams-4.6.1-glibc212.patch
Patch4:         wvstreams-4.6.1-parallel-make.patch
Patch6:         wvstreams-4.6.1-gcc47.patch
Patch7:         0001-Use-explicit-cast-and-prevent-compiler-error.patch
Patch8:         openssl-buildfix.patch
Patch9:         wvstreams-4.6.1-openssl1.1.patch
Patch10:        wvstreams-4.6.1-gcc10.patch
BuildRequires:  pkgconfig(libcrypto)
BuildRequires:  pkgconfig(zlib)
BuildRequires:  pkgconfig(xplc-0.3.13)
BuildRequires:  readline-devel
BuildRequires:  pkgconfig(dbus-1)

%description
WvStreams aims to be an efficient, secure, and easy-to-use library for
doing network applications development.

%package -n     uniconf
Group:          System/Configuration
Summary:        Configuration system
Requires:       %{libname} = %{version}-%{release}

%description -n uniconf
UniConf is a configuration system that can serve as the centrepiece among
many other, existing configuration systems. UniConf can also be accessed over
the network, with authentication, allowing easy replication of configuration
data via the UniReplicateGen. This package contains the server that accepts
incoming TCP or Unix connections, and gets or sets UniConf elements at the
request of a UniConf client.

%package -n     %{libname}
Group:          System/Libraries
Summary:        Network programming library written in C++

%description -n %{libname}
WvStreams aims to be an efficient, secure, and easy-to-use library for
doing network applications development.

%package -n     %{develname}
Summary:        Development files for WvStreams
Group:          Development/C
Requires:       %{libname} = %{version}-%{release}
Provides:       %{name}-devel = %{version}-%{release}

%description -n %{develname}
WvStreams aims to be an efficient, secure, and easy-to-use library for
doing network applications development. This package contains the files
needed for developing applications which use WvStreams.

%prep
%setup -q
%patch1 -p1 -b .multilib
%patch2 -p1 -b .xplctarget
%patch3 -p0
%patch4 -p1
%patch6 -p0
%patch7 -p1 -b .cast
%patch8 -p1
%patch9 -p1
%patch10 -p1

# fix build on aarch64
# cp -af %{_rpmconfigdir}/config.{guess,sub} .

%build
export CFLAGS="%{optflags} -fpermissive -ffat-lto-objects -fPIC"
export CXXFLAGS="%{optflags} -ffat-lto-objects -fPIC -fpermissive -fno-tree-dce -fno-optimize-sibling-calls"
%configure \
    --disable-static \
    --with-dbus=yes \
    --with-openssl \
    --with-zlib \
    --with-qt=no \
    --with-pam=no \
    --with-tcl=no
%make_build

%install
%make_install

%files -n uniconf
%{_sysconfdir}/uniconf.conf
%{_bindir}/uni
%{_sbindir}/uniconfd
%{_mandir}/man8/*
%dir %{_localstatedir}/lib/uniconf
%{_localstatedir}/lib/uniconf/uniconfd.ini

%files -n %{libname}
%{_libdir}/*.so.%{major}

%files -n %{develname}
%doc README
%{_bindir}/wsd
%{_bindir}/wvtestrun
%{_includedir}/wvstreams
%{_libdir}/*.so
%{_libdir}/*.a
%{_libdir}/pkgconfig/*
%{_libdir}/valgrind/*.supp


%changelog
* Sun Sep 23 2018 umeabot <umeabot> 4.6.1-17.mga7
  (not released yet)
+ Revision: 1301723
- Mageia 7 Mass Rebuild

* Fri Aug 03 2018 wally <wally> 4.6.1-16.mga7
+ Revision: 1247117
- fix build on aarch64

* Wed Nov 22 2017 tv <tv> 4.6.1-15.mga7
+ Revision: 1178699
- rebuild for new openssl

* Fri Oct 06 2017 daviddavid <daviddavid> 4.6.1-14.mga7
+ Revision: 1169578
- patch7: fix build with gcc7
- build against compat-openssl10

* Thu Mar 03 2016 umeabot <umeabot> 4.6.1-13.mga6
+ Revision: 984752
- Rebuild for openssl

* Mon Feb 01 2016 umeabot <umeabot> 4.6.1-12.mga6
+ Revision: 930252
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 4.6.1-11.mga5
+ Revision: 743446
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 4.6.1-10.mga5
+ Revision: 690379
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 4.6.1-9.mga4
+ Revision: 528813
- Mageia 4 Mass Rebuild

* Thu Jun 27 2013 djennings <djennings> 4.6.1-8.mga4
+ Revision: 447608
- Corrected compile flags (mga#10470)
- Updated BuildRequires

* Wed Jan 23 2013 fwang <fwang> 4.6.1-7.mga3
+ Revision: 391550
- update rpm group

* Mon Jan 14 2013 umeabot <umeabot> 4.6.1-6.mga3
+ Revision: 385891
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Fri Oct 12 2012 fwang <fwang> 4.6.1-5.mga3
+ Revision: 305007
- add static libs
- fix build with gcc 4.7
- clean up spec

* Sun May 15 2011 pterjan <pterjan> 4.6.1-5.mga1
+ Revision: 99042
- Rebuild for fixed find-requires

* Mon Apr 25 2011 shikamaru <shikamaru> 4.6.1-4.mga1
+ Revision: 90207
- clean spec (retab, buildroot, mdkversion)
- imported package wvstreams


* Sat Dec 04 2010 Funda Wang <fwang@mandriva.org> 4.6.1-4mdv2011.0
+ Revision: 609522
- add gentoo patches to fix build

  + Oden Eriksson <oeriksson@mandriva.com>
    - rebuild

* Fri Apr 09 2010 Ahmad Samir <ahmadsamir@mandriva.org> 4.6.1-3mdv2010.1
+ Revision: 533282
- rebuild for openssl-1.0.0

* Fri Feb 26 2010 Oden Eriksson <oeriksson@mandriva.com> 4.6.1-2mdv2010.1
+ Revision: 511661
- rebuilt against openssl-0.9.8m

* Sat Oct 03 2009 Funda Wang <fwang@mandriva.org> 4.6.1-1mdv2010.0
+ Revision: 453248
- New version 4.6.1

* Wed Feb 25 2009 Thierry Vignaud <tv@mandriva.org> 4.5-2mdv2009.1
+ Revision: 344806
- rebuild for new libreadline

* Sat Dec 20 2008 Adam Williamson <awilliamson@mandriva.org> 4.5-1mdv2009.1
+ Revision: 316380
- add gcc43.patch (couple of GCC 4.3 build fixes)
- drop ini-location.patch (localstatedir is now what it expects)
- new release 4.5
- misc spec cleanups

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers
    - adapt to %%_localstatedir now being /var instead of /var/lib (#22312)

* Wed Mar 05 2008 Oden Eriksson <oeriksson@mandriva.com> 4.4-3mdv2008.1
+ Revision: 179668
- rebuild

  + Thierry Vignaud <tv@mandriva.org>
    - rebuild
    - fix "foobar is blabla" summary (=> "blabla") so that it looks nice in rpmdrake
    - kill re-definition of %%buildroot on Pixel's request
    - fix summary-ended-with-dot

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Thu Sep 06 2007 Adam Williamson <awilliamson@mandriva.org> 4.4-1mdv2008.0
+ Revision: 80590
- use Fedora license policy
- drop patch2 (superseded upstream)
- new release 4.4

* Tue Jul 03 2007 Adam Williamson <awilliamson@mandriva.org> 4.3.90-2mdv2008.0
+ Revision: 47439
- rejig the fPIC stuff to (hopefully) make it stick
- new devel policy
- build against libreadline
- drop patch0 (merged upstream)
- new release 4.3.90 (test for 4.4 from mailing list)

* Thu May 03 2007 Adam Williamson <awilliamson@mandriva.org> 4.3-3mdv2008.0
+ Revision: 20813
- add conflict on previous -devel package (thanks gb and misc)

* Fri Apr 27 2007 Olivier Blin <oblin@mandriva.com> 4.3-2mdv2008.0
+ Revision: 18773
- drop xplc removal hack

* Fri Apr 27 2007 Adam Williamson <awilliamson@mandriva.org> 4.3-1mdv2008.0
+ Revision: 18449
- 4.3, rebuild for new era
- introduce new patches to fix build
- drop all old patches (no longer useful)
- don't build against db1 any more
- clean spec


* Sun Jan 14 2007 Olivier Blin <oblin@mandriva.com> 3.74.0-7mdv2007.0
+ Revision: 108656
- fix build by removing extra qualification
- remove dot in summary
- bunzip2 patches
- remove ssl 0.9.7 patch and rebuild with ssl 0.9.8 (#26240)

  + Jérôme Soyer <saispo@mandriva.org>
    - Rebuild with new openssl
    - Import wvstreams

* Thu Sep 08 2005 Gwenole Beauchesne <gbeauchesne@mandriva.com> 3.74.0-5mdk
- fixes for new OpenSSL API (from wvstreams 4.0.2)

* Sat Jul 10 2004 Olivier Blin <blino@mandrake.org> 3.74.0-4mdk
- Patch2: gcc34 fixes

* Fri Apr 16 2004 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 3.74.0-3mdk
- build fixes

* Sun Jan 18 2004 Olivier Blin <blino@mandrake.org> 3.74.0-2mdk
- buildrequires db1-devel
- disable unneeded options in configure (thanks to Charles A Edwards)

